%% load and prepare raw data
load lndata
series=[];
rawdata=[];
tcode=[];
thr=6;
N=cols(macrodat);
dates=(59+1/12:1/12:108)';
data=trimr(macrodat,12,0); % leave out first 12 obs
dates=trimr(dates,12,0);
% 131 series
% 1960:1 to 2007:12 -- 576 observations

%% build up data set
for i=1:N;
    dum = data(:,i);
    m = mean(dum);
    % include series if no NAs -- data actually has no NAs at all!
    if isnan(m) == 0;
        rawdata = [rawdata dum];
    series = str2mat(series,headertext{1,i});
    tcode = [tcode; vartype(i)];
    else
        disp([i m]);
    end;
end; 
series=trimr(series,1,0);

%% transform data
y=[];
N=cols(rawdata);
for i=1:N;
    if tcode(i)==0; tcode(i)=1; end; 
    
    dum=transx(rawdata(:,i),tcode(i));
    
    y=[y dum];
end;

%% select subsample
y=y(49:end,:); % Data 1964.1 - 2007.12

%% calculate PCs
[ehat_T,Fhat_T,lamhat_T,ve2_T]=pc_T(standard(y),8);

%% save data
v = datevec(datenum(1964,1:size(y,1),1));
yyyymm = v(:,1)*100 + v(:,2);
dlmwrite('../Fhat.csv', [yyyymm, Fhat_T], 'precision', 10);